Get a list of webhook configurations
curl --request GET \
--url https://api.partoo.co/v2/webhooks \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/webhooks"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"max_page": 10,
"count": 287,
"items": [
{
"id": 1,
"url": "https://example.com/webhook",
"event_type": "business_created",
"created_at": "2024-11-27T16:10:44.929678Z",
"updated_at": "2024-11-27T16:10:44.929678Z",
"org_id": 1,
"custom_headers": {
"X-My-Header": "my-value",
"X-Auth-Token": "secret-token"
}
}
]
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Webhooks
Get a list of webhook configurations
This endpoint returns the list of webhook configurations.
GET
/
webhooks
Get a list of webhook configurations
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Organization identifier, only required for PROVIDER users.
Page number.
Starts at 1. Any value lower than 1 will be considered as 1.
For the number of items per page, see the per_page query parameter.
Number of items to return per page. Currently limited to 100.
Required range:
1 <= x <= 100Was this page helpful?